Name: libfguid
Version: 20240116
Release: 1
Summary: Library to support the GUID/UUID format
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libfguid
 
BuildRequires: gcc 

%description -n libfguid
Library to support the GUID/UUID format

%package -n libfguid-static
Summary: Library to support the GUID/UUID format
Group: Development/Libraries
Requires: libfguid = %{version}-%{release}

%description -n libfguid-static
Static library version of libfguid.

%package -n libfguid-devel
Summary: Header files and libraries for developing applications for libfguid
Group: Development/Libraries
Requires: libfguid = %{version}-%{release}

%description -n libfguid-devel
Header files and libraries for developing applications for libfguid.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libfguid
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libfguid-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libfguid-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfguid.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Tue Jan 16 2024 Joachim Metz <joachim.metz@gmail.com> 20240116-1
- Auto-generated

